/* *****************************************************************
** PolyVision Help Complier header file for C functions and data  **
**  (c)1994 - PolyVision SoftWare                                 **
***************************************************************** */

/* Help Colors - See documentation */
extern unsigned char HelpWindClr;  /* text window color    */
extern unsigned char HelpBordClr;  /* border color         */
extern unsigned char HelpRefClr;   /* reference color      */
extern unsigned char HelpGlosClr;  /* glossary color       */
extern unsigned char HelpBoldClr;  /* bold text color      */

/* Help Functions - See documentation */
extern int initPVHelp(void *);   /* initiates help system  */
extern void getHelpPage(int);    /* gets a help page       */
extern void DestroyPVHelp(void); /* removes help system    */
extern void showcursor(void);    /* shows the cursor       */
extern void hidecursor(void);    /* hides cursor from view */


/* These defines are just for your convience. If they should
   interfere with your own previous color defines either rename
   the colors or just assign the numbers to the Help Colors */

#define  BLUECYAN         0x31	       /* Blue over Cyan    */
#define	 MAGENTACYAN	  0x35         /* Magenta over Cyan */
#define	 REDCYAN	  0x34         /* Red over Cyan     */
#define  LIGHTREDCYAN	  0x3C         /* Light Red over Cyan */
#define  LIGHTMAGENTACYAN 0x3D         /* Light Magenta over Cyan */
#define  HIWHITECYAN	  0x3F	       /* Hi-Intens White over Cyan */
#define  BLACKWHITE	  0x70         /* Black over light gray  */
#define	 BLUEWHITE	  0x71	       /* Blue over light gray   */
#define  REDWHITE         0x74	       /* Red over light gray    */

#define	 YELLOWMAGENTA	  0x5E	       /* Yellow over Magenta          */
#define  YELLOWBROWN      0x6E	       /* Yellow over Brown            */
#define  YELLOWCYAN       0x3E         /* Yellow over Cyan             */
#define	 WHITEBLACK       0x07	       /* White over Black             */
#define  YELLOWRED        0x4E         /* Yellow over Red              */
#define  HIWHITEGREEN	  0x2F	       /* Hi-Intens White over Green   */
#define  HIWHITERED       0x4F         /* Hi-Intens White over Red     */
#define  HIWHITEMAGENTA   0x5F         /* Hi-Intens White over Magenta */
#define	 HIWHITEBLACK	  0x0F	       /* Hi-Intens White over Black   */

#define	 BLACKBLUE	  0x10	       /* Black over Blue           */
#define  BLACKCYAN        0x30         /* Black over Cyan           */
#define	 WHITEBLUE        0x17         /* White over Blue           */
#define	 LIGHTBLUEBLUE	  0x19         /* Light Blue over Blue      */
#define  LIGHTGREENBLUE   0x1A         /* Light Green over Blue     */
#define	 LIGHTCYANBLUE	  0x1B	       /* Light Cyan over Blue      */
#define  LIGHTREDBLUE     0x1C         /* Light Red over Blue       */
#define  LIGHTMAGENTABLUE 0x1D         /* Light Magenta over Blue   */
#define  YELLOWBLUE	  0x1E	       /* Yellow over Blue          */
#define  HIWHITEBLUE      0x1F	       /* Hi-Intens White over Blue */

#define	 GRAYWHITE	  0x78	       /* Gray over light gray      */

